cURL
curl --request GET \ --url https://api.blend.money/extern/{neobankId}/{accountTypeId}/account/{accountId}/balance \ --header 'X-API-Key: <api-key>'
{ "status": "<string>", "data": { "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "safeAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "perChain": [ { "chainId": 1, "vaultAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "totalUsd": "100000000", "totalUsdDecimals": 6, "totalUnderlying": "100000000", "totalUnderlyingDecimals": 6, "heldAssets": [ { "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "symbol": "USDC", "chainId": 1 } ] } ], "totalUsd": 1042.5, "heldAssets": [ { "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "symbol": "USDC", "chainId": 1 } ] } }
Returns the account’s current vault balance across all configured chains, broken down per chain with USD and underlying token values.
SHA-256 hashed API key issued per organization
Account UUID (returned by GET /account)
Current balance
"success"
Show child attributes
Was this page helpful?